TTF_GetGPUTextDrawData(3)

NAME
TTF_GetGPUTextDrawData - Get the geometry data needed for drawing the text.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_GPUAtlasDrawSequence * TTF_GetGPUTextDrawData(TTF_Text *text);

DESCRIPTION

text must have been created using a TTF_TextEngine
 from

TTF_CreateGPUTextEngine ().

The positive X-axis is taken towards the right and the positive Y-axis is taken upwards for both the vertex and the texture coordinates, i.e, it follows the same convention used by the SDL_GPU API. If you want to use a different coordinate system you will need to transform the vertices yourself.

If the text looks blocky use linear filtering.

FUNCTION PARAMETERS

text
    the text to draw.

RETURN VALUE
( TTF_GPUAtlasDrawSequence
 *) Returns a NULL terminated linked list of

TTF_GPUAtlasDrawSequence
 objects or NULL if the passed text is empty or in case of failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_CreateGPUTextEngine(3), •(3), TTF_CreateText(3)